// pages/member/memberInfoED/memberInfoED.js
let app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    userInfo: {},
    saveMsg: {
      oldPassword: '',
      newPassword: '',
    },
    newPassword: '',
  },
  inputOldPwd: function (e) {
    this.data.saveMsg.oldPassword = e.detail.value
  },
  inputNewPwd: function (e) {
    this.data.saveMsg.newPassword = e.detail.value
  },
  inputNewPwdS: function (e) {
    this.data.newPassword = e.detail.value
  },
  seveMsg: function () {
    if (this.data.saveMsg.oldPassword === ''){
      wx.showToast({
        title: '请填写旧密码',
        icon: 'none',
        duration: 1000
      })
      return
    }
    if (this.data.saveMsg.newPassword === '') {
      wx.showToast({
        title: '请填写新密码',
        icon: 'none',
        duration: 1000
      })
      return
    }
    if (this.data.saveMsg.newPassword !== this.data.newPassword) {
      wx.showToast({
        title: '两次新密码不一致',
        icon: 'none',
        duration: 1000
      })
      return
    }
    app.$api('b2b_post_ModifyAccountPassowrd', this.data.saveMsg).then(res => {
      wx.showToast({
        title: '修改成功',
        icon: 'none',
        duration: 1000
      })
      setTimeout(()=>{
        wx.navigateBack({
          delta: 2
        })
      }, 1000)
    }).catch(err => {
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    //修改title
    wx.setNavigationBarTitle({
      title: '个人安全设置'
    })
    let _this = this;
    wx.getStorage({
      key: 'admin',
      success(res) {
        let data = res.data
        _this.setData({
          userInfo: data
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})